summaryrefslogtreecommitdiff
path: root/dev-python/pytest-httpx
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pytest-httpx')
-rw-r--r--dev-python/pytest-httpx/pytest-httpx-0.35.0-r1.ebuild (renamed from dev-python/pytest-httpx/pytest-httpx-0.35.0.ebuild)16
1 files changed, 11 insertions, 5 deletions
diff --git a/dev-python/pytest-httpx/pytest-httpx-0.35.0.ebuild b/dev-python/pytest-httpx/pytest-httpx-0.35.0-r1.ebuild
index 6f79d6824c63..9d3e38c2f0a1 100644
--- a/dev-python/pytest-httpx/pytest-httpx-0.35.0.ebuild
+++ b/dev-python/pytest-httpx/pytest-httpx-0.35.0-r1.ebuild
@@ -20,14 +20,20 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
- =dev-python/httpx-0.28*[${PYTHON_USEDEP}]
- =dev-python/pytest-8*[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.28[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
"
BDEPEND="
dev-python/setuptools-scm[${PYTHON_USEDEP}]
- test? (
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- )
"
+EPYTEST_PLUGINS=( "${PN}" pytest-asyncio )
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unpin dependencies
+ sed -i -e '/==/{s:==:>=:;s:\.\*::}' pyproject.toml || die
+}